#
# spec file for package python-invocations
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with     test
Name:           python-invocations
Version:        0.20.0
Release:        2.1
License:        BSD-2-Clause
Summary:        Reusable Invoke tasks
Url:            http://pyinvoke.org
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/i/invocations/invocations-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if %{with test}
BuildRequires:  %{python_module blessings >= 1.6}
BuildRequires:  %{python_module invoke >= 0.13}
BuildRequires:  %{python_module releases >= 1.2}
BuildRequires:  %{python_module semantic_version >= 2.4}
BuildRequires:  %{python_module tabulate >= 0.7.5}
BuildRequires:  %{python_module tqdm >= 4.8.1}
%endif
BuildRequires:  fdupes
Requires:       python-blessings >= 1.6
Requires:       python-invoke >= 0.13
Requires:       python-releases >= 1.2
Requires:       python-semantic_version >= 2.4
Requires:       python-tabulate >= 0.7.5
Requires:       python-tqdm >= 4.8.1
BuildArch:      noarch

%python_subpackages

%description
Invocations is a collection of reusable `Invoke <http://pyinvoke.org>`_
tasks/task modules, including (but not limited to) Python project management
tools such as documentation building and dependency organization.

It has no stand-alone components and is designed to be imported into your
pre-existing Invoke task files.

Invocations is currently in pre-alpha status and is unsupported. Please follow
the Invoke project's communication channels for updates. Thanks!

%prep
%setup -q -n invocations-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu May 10 2018 toddrme2178@gmail.com
- Use license tag
* Wed Oct 18 2017 toddrme2178@gmail.com
- Initial version
